OpenTTD Source: src/livery.h File Reference

OpenTTD Source 15.0-beta1

Data Structures | Enumerations | Functions | Variables
livery.h File Reference

Functions/types related to livery colours. More...

`#include "company_type.h"`
`#include "gfx_type.h"`

Go to the source code of this file.

## Data Structures
struct | Livery
| Information about a particular livery. More...

## Enumerations
enum | LiveryScheme : uint8_t { LS_BEGIN = 0 , LS_DEFAULT = 0 , LS_STEAM , LS_DIESEL , LS_ELECTRIC , LS_MONORAIL , LS_MAGLEV , LS_DMU , LS_EMU , LS_PASSENGER_WAGON_STEAM , LS_PASSENGER_WAGON_DIESEL , LS_PASSENGER_WAGON_ELECTRIC , LS_PASSENGER_WAGON_MONORAIL , LS_PASSENGER_WAGON_MAGLEV , LS_FREIGHT_WAGON , LS_BUS , LS_TRUCK , LS_PASSENGER_SHIP , LS_FREIGHT_SHIP , LS_HELICOPTER , LS_SMALL_PLANE , LS_LARGE_PLANE , LS_PASSENGER_TRAM , LS_FREIGHT_TRAM , LS_END }
| List of different livery schemes. More...
enum | LiveryClass : uint8_t { LC_OTHER , LC_RAIL , LC_ROAD , LC_SHIP , LC_AIRCRAFT , LC_GROUP_RAIL , LC_GROUP_ROAD , LC_GROUP_SHIP , LC_GROUP_AIRCRAFT , LC_END }
| List of different livery classes, used only by the livery GUI. More...

## Functions
void | ResetCompanyLivery (Company *c)
| Reset the livery schemes to the company's primary colour.

## Variables
static const uint8_t | LIT_NONE = 0
| Don't show the liveries at all.
static const uint8_t | LIT_COMPANY = 1
| Show the liveries of your own company.
static const uint8_t | LIT_ALL = 2
| Show the liveries of all companies.

## Detailed Description

Functions/types related to livery colours.

Definition in file livery.h.

## Enumeration Type Documentation

## ◆ LiveryClass

enum LiveryClass : uint8_t

List of different livery classes, used only by the livery GUI.

Definition at line 63 of file livery.h.

## ◆ LiveryScheme

enum LiveryScheme : uint8_t

List of different livery schemes.

Definition at line 21 of file livery.h.

## Function Documentation

## ◆ ResetCompanyLivery()

void ResetCompanyLivery | ( | Company * | c | ) |

Reset the livery schemes to the company's primary colour.

This is used on loading games without livery information and on new company start up.

Parameters

  c | Company to reset.

Definition at line 561 of file company_cmd.cpp.

References CompanyProperties::colour, Livery::colour1, Livery::colour2, Livery::in_use, Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem< Tpool >::index, and Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem<&_group_pool >::Iterate().

Referenced by AfterLoadGame(), and DoStartupNewCompany().

## Variable Documentation

## ◆ LIT_ALL

const uint8_t LIT_ALL = 2
| static

Show the liveries of all companies.

Definition at line 18 of file livery.h.

Referenced by GetEngineLivery(), LiveryHelper(), and SelectCompanyLiveryWindow::OnInvalidateData().

## ◆ LIT_COMPANY

const uint8_t LIT_COMPANY = 1
| static

Show the liveries of your own company.

Definition at line 17 of file livery.h.

Referenced by GetEngineLivery(), and SelectCompanyLiveryWindow::OnInvalidateData().

## ◆ LIT_NONE

const uint8_t LIT_NONE = 0
| static

Don't show the liveries at all.

Definition at line 16 of file livery.h.